#
# spec file for package l-loader-poplar
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           l-loader-poplar
Version:        1.0~20180824T104839~df5706a
Release:        1.699
Summary:        Firmware required to run the Poplar
Url:            https://github.com/96boards-poplar/l-loader
License:        GPL-2.0
Group:          System/Boot
Source0:        l-loader-%{version}.tar.xz
BuildRequires:  arm-trusted-firmware-poplar-devel
BuildRequires:  cross-arm-none-gcc%{gcc_version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  aarch64

%description
Firmware required to run the Poplar

%prep
%setup -q -n l-loader-%{version}

%build
%define my_mflags CROSS_COMPILE=arm-none-eabi- ARM_TF_INCLUDE=%{_includedir}/arm-trusted-firmware-poplar
for v in one_gig two_gig; do
  cp %{_datadir}/arm-trusted-firmware-poplar/${v}/{bl1.bin,fip.bin} atf/
  make %{?_smp_mflags} %{my_mflags} clean
  make %{?_smp_mflags} %{my_mflags}
  dd if=l-loader.bin of=loader.${v}.bin skip=1
  dd if=l-loader.bin of=mbr.${v}.bin count=1
  make %{?_smp_mflags} %{my_mflags} clean
  cp %{_datadir}/arm-trusted-firmware-poplar/${v}.recovery/{bl1.bin,fip.bin} atf/
  make %{?_smp_mflags} %{my_mflags} RECOVERY=1
  mv fastboot.bin fastboot.${v}.bin
done

%install
for v in one_gig two_gig; do
  install -D -m 0644 mbr.${v}.bin      %{buildroot}%{_datadir}/%{name}/${v}/mbr.bin
  install -D -m 0644 loader.${v}.bin   %{buildroot}%{_datadir}/%{name}/${v}/loader.bin
  install -D -m 0644 fastboot.${v}.bin %{buildroot}%{_datadir}/%{name}/${v}/fastboot.bin
done

%files
%license COPYING
%doc README.md
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sun Jun 16 2019 Andreas Färber <afaerber@suse.de>
- Update to latest Git (2018-08-24)
- Build for both 2 GiB and 1 GiB boards
- Split l-loader.bin into loader.bin and mbr.bin
  (cat mbr.bin loader.bin > l-loader.bin)
* Sun May 20 2018 afaerber@suse.de
- Update to latest Git (2018-03-30) at new location
- Adopt arm-none-eabi- cross-compiler
- Prepare recovery build
* Thu May 25 2017 afaerber@suse.de
- Initial
